#  FriendlyAlbum - Photo Album for Plone
#  Copyright (c) 2006 IngeniWeb - Badredine Ladjemi <badredine.ladjemi@ingeniweb.com>
#  $Id: permissions.py,v 1.2 2006/05/16 16:31:56 bladjemi Exp $
# 
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#  
from Products.CMFCore.CMFCorePermissions import setDefaultRoles
import Products.Archetypes.public as atapi
import config

permissions = {}
types = atapi.listTypes(config.PROJECTNAME)
for atype in  types:
    permission = "%s: Add %s" % (config.PROJECTNAME, atype['portal_type'])
    permissions[atype['portal_type']] = permission

    # Assign default roles
    setDefaultRoles(permission, ('Member',
                                 'Contributor',
                                 'Manager',
                                 'Anonymous'
                                 )
                    )
